
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Ruby语言入门 / iVAN</title>

    <meta name="description" content="Ruby语言入门 一.方法 Ruby 的方法定义允许为参数设置默认值,不过在带有默认值的参数后面不能出现不带有默认值的参数(允许 * 和 &amp;),也就是说下面的方法定义是不被允许的,解释时会出现 parse error. 还有一点与 C# 不同的是,方法定义不能出现在方法调用的后面. # parse error def Display(args1=&quot;proshea&quot;, args2) end # 允许 def Display(args1=&quot;proshea&quot;, *args ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Ruby语言入门</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、方法</p>
<p>Ruby 的方法定义允许为参数设置默认值，不过在带有默认值的参数后面不能出现不带有默认值的参数（允许 * 和 &amp;），也就是说下面的方法定义是不被允许的，解释时会出现 parse error。 还有一点与 C# 不同的是，方法定义不能出现在方法调用的后面。</p>
<p><code># parse error<br />
def Display(args1="proshea", args2)<br />
end<br />
# 允许<br />
def Display(args1="proshea", *args2)<br />
end<br />
# 允许<br />
def Display(args1="proshea", &amp;args)<br />
end<br />
Show()<br />
# 出现在 Show 调用之后是错误的<br />
def Show<br />
end</code></p>
<p>Ruby 也支持 C# params 这样的参数功能， 只是 Ruby 用 * 标识罢了。</p>
<p><code>def Display(*args)<br />
print %Q~#{args.join("-")}~<br />
end<br />
# proshea-32-WinForm<br />
Display("proshea", 32, "WinForm")</code></p>
<p>同样的， Ruby 也有类似于 C# delegate 的应用，只是更简单，直接用 &amp; 来表示，并且 Ruby 用一个称为 yield 的关键字来知会解释器执行传入的代码块或者说 Proc object（过程对象？）。</p>
<p><code>1def Display(&amp;block)<br />
2 if block_given?<br />
3 yield(block)<br />
4 else<br />
5 print %Q~没有传入过程对象~<br />
6 end<br />
7end<br />
8<br />
9def Show()<br />
10 print %Q~Show 方法调用~<br />
11end<br />
12<br />
13# 没有传入过程对象<br />
14Display()<br />
15# 在 Display 内部调用 Show 方法<br />
16# 注意起始大括号仍然只能和方法名在同一行<br />
17Display(){<br />
18 Show()<br />
19}</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-10 16:58:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/display/" title="display">display</a>, <a href="https://www.iamivan.net/tag/ruby/" title="ruby">ruby</a>, <a href="https://www.iamivan.net/tag/args/" title="args">args</a>, <a href="https://www.iamivan.net/tag/show/" title="show">show</a>, <a href="https://www.iamivan.net/tag/%e6%95%99%e4%bd%a0ruby%e5%bf%ab%e9%80%9f%e5%85%a5%e9%97%a8/" title="教你Ruby快速入门">教你Ruby快速入门</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Ruby语言入门的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmK38p.html" rel="bookmark">C语言入门的一些基本资源推荐和程序语法概览&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为什么要学习C语言? 为什么要学习.使用C语言?为什么要学习一个可能比自己都岁数大的编程语言? 选择一门编程语言,&quot;为什么而学&quot;这个目的是最重要的,目的不明确就没法学好.这也是为什么很多学生朋友在大学里必修C语言却觉得没学明白的原因.因为学习的目的不明确,学习当然也没有动力.还有一个原因是C语言是工程实践性很强的语言,它不是来自某个研究所某个大学学院,而是实实在在从项目需要中产生,伴随着Unix的兴起而流行,语义简明清晰,功能强大而不臃肿,简洁而又不过分简单,实在是居家旅行工作学习必备			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzV7o4b.html" rel="bookmark">ruby-求大神支招：如何学好Ruby语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求大神支招:如何学好Ruby语言 求大神支招:如何学好Ruby语言,还有Ruby什么版本用的人比较多,看什么书? 解决方案 请看这个:http://blog.csdn.net/liuk10/article/details/50976160			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyrZVJp.html" rel="bookmark">Ruby语言FAQ</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Ruby是什么东东? Ruby是一种简单的面向对象编程语言,十分容易上手,并且功能强大.她是一个日本的Yukihiro Matsumoto(大家都叫他Matz.)在1995年首次发布的.Ruby从Perl语言那里借鉴了许多东西(有人形象地 说Ruby是Perl的漂亮的妹妹:),和Perl相似,Ruby也擅长于文本处理.系统管理等任务.和Smalltalk 一样,Ruby是一种纯粹的面向对象语言,任何东西都是对象.下面是Ruby语言的一些特性: ◆语法简单.优雅 ◆ 解释型执行.方便快捷 ◆完			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPN41vb.html" rel="bookmark">探讨Java与Ruby语言迁移时的安全性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在这篇文章中,我们将要探讨Java与Ruby语言迁移时风险预测方面的问题. 通常来说,&quot;使用Ruby具有风险&quot;是一种普遍的看法,这存在一定的原因.因为使用新的语言天生是有风险的.随着Ruby on Rails逐步进入到主流的开发领域中,这样的风险将会随时间逐渐降低,因为有逐步增长的开发者群.组件(或称作gems和plug-ins)相关的书籍.以及业务合作伙伴与你沟通交流.但同时你也可以听到主流的观点指出&quot;使用Java是安全的&quot;.对于这种的观点,我持有强烈的反对意见.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3og2gb.html" rel="bookmark">《面向对象设计实践指南：Ruby语言描述》目录&mdash;导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				内容提要 面向对象设计实践指南:Ruby语言描述 本书是对&quot;如何编写更易维护.更易管理.更讨人喜爱且功能更为强大的Ruby应用程序&quot;的全面指导.为帮助读者解决Ruby代码难以更改和不易扩展的问题,作者在书中运用了多种功能强大和实用的面向对象设计技术,并借助大量简单实用的Ruby示例对这些技术进行全面解释. 全书共9章,主要包含的内容有:如何使用面向对象编程技术编写更易于维护和扩展的Ruby代码,单个Ruby类所应包含的内容,避免将应该保持独立的对象交织在一起,在多个对象之间定义灵活的接			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRDQgz.html" rel="bookmark">Java、PHP、C、Ruby 语言相互吐槽的搞笑图片</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				谁能看明白这幅Java.PHP.C.Ruby语言相互吐槽的搞笑图片都说的是什么? 看到这篇有趣的图片研究了很久也没完全理解各个图片的意思.今天把它贴出来,希望大家能帮我理解一下,各抒己见.下面这个图表中是我个人的一些理解,没看明 白的我都打了问号.本身这就是个搞笑图片,所以我贴出来也是希望大家娱乐一下,每个人都可以有自己搞笑的观点,没有正确的标准.   Java粉丝认为Java语言: 稳定 功能齐全 负载强 Java粉丝认为C语言: 过时 老古董 Java粉丝认为PHP: 小儿科 功能弱 Jav			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2PXYrp.html" rel="bookmark">c语言-C语言入门问题求大神指点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C语言入门问题求大神指点 #include #define TABINC 8 //tab increment size //replace strings of blanks with tabs and blanksint main(void){ int c nb nt pos; nb = 0; //number of blanksnt = 0; //number of tabsfor (pos = 1; (c = getchar()) != EOF; pos++){ if (c ==			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqL54z.html" rel="bookmark">用ruby语言编写的web项目在什么服务器下发布运行？&lbrack;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我不知道我这样说的对不对,今天收到公司老总发来的一个项目,要我们搭配环境运行测试,在这个项目下全是rb后缀的文件,我想应该是用ruby语言写的吧,但是我不知道该怎么发布,本人对ruby一点了解都没有,望有人能指点指点,项目文件在附件中,我还不知道那是否是一个项目? 问题补充:飞雪无情 写道 解决方案 可以参考http://blog.csdn.net/helen_shw/archive/2010/04/02/5444357.aspx和http://my.oschina.net/RFDev			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKEjXb.html" rel="bookmark">Ruby语言十大令人喜爱的特点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 动态类型 静态类型语言也有很不错的功能,比如编译时验证和 IDE 支持.不过根据我的经验,动态类型对于项目启动真的有很大帮助,并且便于进行更改,尤其是在项目的早期到中期这些阶段. 为了能够让我能够轻松地继续对象交换,我不需要为新对象创建正式的接口,这点让人很开心. 2. Duck Typing(鸭子类型) 这只是动态类型的一个有效的扩展.在 Ruby 中,预期能够对字符串对象进行操作的方法并不会检查 is_a?(String).它们检查对象是否 respond_to?(:to_str),如			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ2kwz.html" rel="bookmark" class="title">请问：U-boot可以设置多张开机图片，并能够轮转显示吗？如何做？</a>
					<div>
						问题描述 请问:U-boot可以设置多张开机图片,并能够轮转显示吗?如何做? 请问:U-boot可以设置多张开机图片,并能够轮转显示吗?如何做? 解决方案 flash上放入多个bmp图片,或者懒一点多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj9AVz.html" rel="bookmark" class="title">如何在十天内学会php之第七天</a>
					<div>
						学习目的:学会SESSION的使用 SESSION的作用很多,最多用的就是站点内页面间变量传递.在页面开始我们要session_start();开启SESSION: 然后就可以使用SESSION变量了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4Ke8p.html" rel="bookmark" class="title">腾讯为何就是做不好搜索？破解腾讯搜搜魂断互联网之谜</a>
					<div>
						  说到腾讯,大家都知道这是一家国内最大的互联网公司,市值3000多亿,有着七亿多用户,记得某些杂志曾经这样评论说&quot;看看腾讯,那么多用户,随便扔一根棍子在里面都可以开出花来.&quot;这句 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6Kqyp.html" rel="bookmark" class="title">李彦宏透露百度有意收购小型英文搜索公司</a>
					<div>
						新浪科技讯 3月28日上午消息,IT领袖峰会今日在深圳举行,在高端对话环节,百度CEO李彦宏透露有意收购一家小型英文搜索企业,向英文搜索发展. 不过李彦宏的这一意向暂时未能如愿,原因是虽然百度为了发展 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7ONXz.html" rel="bookmark" class="title">&period;net beta2 操作email的例子（转）</a>
					<div>
						&lt;%@ Page Language=&quot;VB&quot; ClientTarget=&quot;downlevel&quot; %&gt;&lt;%@ Import Namespace= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRExkb.html" rel="bookmark" class="title">C&num;反编译微软MSDN2003的帮助文档&comma;并将反编译结果保存到一个SQLSERVER数据库中</a>
					<div>
						server|sqlserver|编译|数据|数据库|微软 using System;using System.Drawing;using System.Collections;using Syste ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRkY8p.html" rel="bookmark" class="title">JAVA的I&sol;O优化技巧</a>
					<div>
						为了提高I/O性能,主要基于以下原则: (1)能少访问磁盘尽量少访问 (2)能少访问底层操 作系统尽量少访问底层操作系统 (3)能少方法调用尽量少方法调用 (4)能少个别的处理字节 字符尽量少个别处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7AX4b.html" rel="bookmark" class="title">注册表数据结构</a>
					<div>
						使用注册表编辑器之前,首先得了解注册表的数据结构,例如注册表的显示方式.主键与子键.键值项数据的类型等等. 注册表显示方式 在Windows系统中,注册表是采用&quot;关键字&quot;及其&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A6xRp.html" rel="bookmark" class="title">在Word 2010中使用&OpenCurlyDoubleQuote;定位&rdquo;功能快速翻页</a>
					<div>
						当用户想要在一个比较长的Word 2010文档中快速定位到某个特定页时,可以借助Word 2010提供的&quot;定位&quot;功能实现快速翻页,操作步骤如下所述: 第1步,打开Word 2010 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yn1Zz.html" rel="bookmark" class="title">在无线J2ME设备上实现超文本传输协议</a>
					<div>
						随着越来越多手提电话和个人数字助理开始融入到信息高速公路之上,从移动设备上访问Web站点变得越来越重要.Java开创了消费设备中小型的储存容量的先河,它是用于开发手机.传呼机及其他微型设备应用程序的理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2ovdM.html" rel="bookmark" class="title">excel怎么设置打印相同表头</a>
					<div>
						如果打印多页的excel时是不是需要制作多个表头呢?其实并不需要,excel本身就可以实现这个功能,那excel怎么设置打印相同表头呢?下面就和小编一起来看看吧. 2007版为例:页面布局--&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ekvgb.html" rel="bookmark" class="title">Windows 8&period;1系统怎么设置＂睡眠唤醒密码＂？</a>
					<div>
						在微软Win7之前的系统中都能让用户设定在电脑睡眠后重新唤醒电脑需要输入密码才能登陆系统,而Win8.1系统也不例外,只不过这样的设置与此前的系统不太一样,下面我们来分享下在Win8.1系统下如何设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaKExM.html" rel="bookmark" class="title">非法关机后重新开机取消扫描和检测硬盘分区的方法</a>
					<div>
						磁盘自我修复功能 NTFS利用一种&quot;自我疗伤&quot;的系统,可以对硬盘上的逻辑错误和物理错误进行自动侦测和修复.在FAT16和FAT32时代,我们需要借助 Scandisk这个程序来标记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGN75b.html" rel="bookmark" class="title">千牛卖家版常用入口空白&quest;</a>
					<div>
						  千牛卖家版常用入口空白?常用入口不显示解决教程 这里其实是千牛卖家版工作台软件的设置问题:具体解决教程如下 千牛卖家版右键任务栏小图标千牛工作台 点击设置 基本设置 常规里 浏览器选择,取消自动选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdELjmz.html" rel="bookmark" class="title">ajax返回的值一直无法比较</a>
					<div>
						问题描述 ajax返回的值一直无法比较 ajax返回的data与num的一直是false的.尝试了,typeof data和num ,输出的都是string.然后也尝试了toString()等.dat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw89LM.html" rel="bookmark" class="title">《Linux设备驱动开发详解 A》一一1&period;6　设备驱动Hello World：LED驱动</a>
					<div>
						1.6 设备驱动Hello World:LED驱动 1.6.1 无操作系统时的LED驱动 在嵌入式系统的设计中,LED一般直接由CPU的GPIO(通用可编程I/O)口控制.GPIO一般由两组寄存器控制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgmWqb.html" rel="bookmark" class="title">A股血泪史：盘点中国股市被打压的著名事件</a>
					<div>
						1996年,十二道金牌 太远的就不提了,从1996年12道金牌开始吧. 1996年下半年,股市疯涨,股民赚钱乐翻了,为此,管理层采取一系列打压股市措施,共计连续12项政策,才把股市彻底搞死熄火,这就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0YjKM.html" rel="bookmark" class="title">Linux有问必答：如何在CentOS7上改变网络接口名</a>
					<div>
						Linux有问必答:如何在CentOS7上改变网络接口名 提问: 在CentOS7,我想将分配的网络接口名更改为别的名字.有什么合适的方法来来重命名CentOS或RHEL7的网络接口? 传统上,Lin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RqQ6z.html" rel="bookmark" class="title">怎么增加网站流量及长尾关键词选择</a>
					<div>
						今天主要就想对网站的流量做下何涛自己的理解.一方面是因为自己的宁波SEO博客的后台流量统计结果,再一方面是结合自己操作的几个站点数据情况来看.我们如何来理解SEO与流量的关系,其实很简单的两点构成一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nBlPz.html" rel="bookmark" class="title">直线的&OpenCurlyDoubleQuote;橡皮筋&rdquo;画法</a>
					<div>
						  微软的画图程序中画直线时,会有画线提示,形象的说就像&quot;橡皮筋&quot;一样,在未最终确定直线的长度和角度前都会有一根类似&quot;橡皮筋&quot;的直线,便于客户可以方便的画出理想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgXO5M.html" rel="bookmark" class="title">关于winform方面的</a>
					<div>
						问题描述 类似于登陆的程序,我有一个登陆界面和一个主界面,我想要实现的是在登录界面点击提交后,弹出主界面,然后将登录界面关掉,请问这个应该怎么做,我现在只能做到把登录界面隐藏,他其实还在后台运行. 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xg0Rb.html" rel="bookmark" class="title">二进制-wp8&period;1有关post数据的问题</a>
					<div>
						问题描述 wp8.1有关post数据的问题 项目中有一处需要调用外部webservice(地址比如:http://www.csdn.com/PleaseHelpMe),向该webservice的Ple ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL4X8M.html" rel="bookmark" class="title">介绍几个重要的算法</a>
					<div>
						       在前一段时间,我看了不少的论文,里面涉及到许许多多&quot;奇怪&quot;的算法.最近,我又看了一些专门讲解&quot;算法&quot;的书籍,了解了各算法的来历.特点及应用情况等. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEQWAz.html" rel="bookmark" class="title">MySql5&period;7&period;11编译安装及修改root密码的方法小结&lowbar;Mysql</a>
					<div>
						推荐阅读: Mysql5.7忘记root密码及mysql5.7修改root密码的方法 Mac 安装和卸载 Mysql5.7.11 的方法 系统是cenos6.7 64位的,默认mysql5.7.11下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NlgJz.html" rel="bookmark" class="title">PHP命名空间（Namespace）简明教程&lowbar;php实例</a>
					<div>
						这一特性在 PHP5.0x 时候就提出过,后来被取消并安排在 PHP6 中实现.而此次又再次&quot;提前&quot;到了 PHP5.3 发布,可见开发人员对其的重视以及谨慎的态度. 官方发布时说明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1jGdb.html" rel="bookmark" class="title">Maven使用第三方jar文件的两种方法&amp;lt&semi;转&amp;gt&semi;</a>
					<div>
						http://www.cnblogs.com/sekai/p/5932206.html   今天用上了.. ===================== 在Maven中,使用第三方库一般是通过pom.x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG12L2M.html" rel="bookmark" class="title">南方都市报：你能从投资苹果公司中获益80倍吗</a>
					<div>
						摘要:1997年乔布斯复出时,苹果公司的股价不到5美元,而目前苹果公司的股价早已超过了400美元,期间股价涨幅高达80倍.巨大的财富效应令人感慨,如果当初我们曾经买入苹果公司该有多好! 1997年乔布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Y1dYb.html" rel="bookmark" class="title">为了寻求刺激 &OpenCurlyDoubleQuote;天使&rdquo;竟做7家黄网&OpenCurlyDoubleQuote;版主&rdquo;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 新华报业网讯 因为无法浏览黄色网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Yd3Jb.html" rel="bookmark" class="title">Python ORM框架SQLAlchemy学习笔记之数据查询实例&lowbar;python</a>
					<div>
						前期我们做了充足的准备工作,现在该是关键内容之一查询了,当然前面的文章中或多或少的穿插了些有关查询的东西,比如一个查询(Query)对象就是通过Session会话的query()方法获取的,需要注意的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baq8Vqb.html" rel="bookmark" class="title">《微信小程序：开发入门及案例详解》&mdash;&mdash; 1&period;4 小结</a>
					<div>
						1.4 小结      本章简单介绍了小程序开发流程,让大家对小程序有体验式理解.小程序的学习过程并不难,掌握框架.组件.API后可快速上手,技术细节问题我们将在后续章节中进行详细讲解,本章仅介绍了主 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
